public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymediainfo/
Date: Thu, 21 Jul 2016 15:57:34 +0000 (UTC)	[thread overview]
Message-ID: <1469116607.825cf073872972090e4d000c1dc72878d4c8b903.monsieurp@gentoo> (raw)

commit:     825cf073872972090e4d000c1dc72878d4c8b903
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Thu Jul 21 10:29:36 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Jul 21 15:56:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=825cf073

dev-python/pymediainfo: bump to 2.1.5

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/1931

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/pymediainfo/Manifest                 |  1 +
 dev-python/pymediainfo/pymediainfo-2.1.5.ebuild | 41 +++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/pymediainfo/Manifest b/dev-python/pymediainfo/Manifest
index 1961735..3037591 100644
--- a/dev-python/pymediainfo/Manifest
+++ b/dev-python/pymediainfo/Manifest
@@ -1,2 +1,3 @@
 DIST pymediainfo-2.1.3.tar.gz 420494 SHA256 da97c7c000b8b5b641ad56ac3c4458ac05aaced41ad9ac421e78496ca77800df SHA512 b3af87c415fcab12937055cd20cd44779ac49c8f0879af3bd24e541c34f6c2d6160e3c54c315841ade11468dfe64c587d3d66aa67abace3db308bc18ca9121d5 WHIRLPOOL a9799474723b8805bf292fa80ba79cb4e6f4a54b7ffe9c187d27d8403af6b788ddbfef0725d5ecb9474fd9796967868e2ef28db73637beae034444621541a540
 DIST pymediainfo-2.1.4.tar.gz 420642 SHA256 b4ce090a5bfa24bf5f54a0a16c41ef0c3a0e12d4dae97bdb8b237788664c0136 SHA512 a82bb910ec76e11fb5120c224a804f6db1cef2cd4c6be0e3a5f5905d44594d35bf0abee629ea5092de2dbd7506a8c876735e53b0e2fd837dcadfabe2e8535dbb WHIRLPOOL be3617b6f2b03e404bab89a3d829a7f882bec2e2c61b7dcf00c01d809ca192da07aaed5e0f54723dd3169fb9ad17b76be61ceabc2e06ae1b9f63736254d319a1
+DIST pymediainfo-2.1.5.tar.gz 421120 SHA256 53616f5b87431d7fd0b4c7a2c2592c9071de923c5c0b167f1015905092a86915 SHA512 ef7891bb8e55e11e211f5d7a222176ffea013c4876b2a524ee02af6bcaa3cef272c11e7e39f12790de37f9bc95aa71af049727632092dbaa4c30ea3d149ddf70 WHIRLPOOL 6272df6e234655bc30fe8af811ad644d9062dd5a86837561885144f5a51c6ad931566b9e0fac073c89d99df6b8c82e282655fded66c056315dc10a0b4d30810a

diff --git a/dev-python/pymediainfo/pymediainfo-2.1.5.ebuild b/dev-python/pymediainfo/pymediainfo-2.1.5.ebuild
new file mode 100644
index 0000000..a810b9b
--- /dev/null
+++ b/dev-python/pymediainfo/pymediainfo-2.1.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around the mediainfo library"
+HOMEPAGE="https://github.com/sbraz/pymediainfo"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="media-libs/libmediainfo"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? (
+		${RDEPEND}
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+
+python_compile_all() {
+	use doc && esetup.py build_sphinx
+}
+
+python_test() {
+	nosetests tests || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-07-21 15:57 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-21 15:57 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-11  2:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymediainfo/ Louis Sautier
2024-08-09 13:19 Louis Sautier
2023-11-29 11:38 Michał Górny
2023-11-29 11:32 Michał Górny
2023-11-29 11:15 Michał Górny
2023-10-29 16:31 Louis Sautier
2023-06-03 17:45 Michał Górny
2023-02-26 20:14 Louis Sautier
2022-12-31 12:37 Michał Górny
2022-12-31 12:11 Sam James
2022-12-31 10:51 Arthur Zamarin
2022-11-26  0:32 Louis Sautier
2021-11-09 10:38 Michał Górny
2021-06-15  8:33 Michał Górny
2021-06-15  7:07 Agostino Sarubbo
2021-06-15  5:25 Sam James
2021-05-09 14:13 Louis Sautier
2021-05-03 16:53 Sam James
2021-05-03 16:51 Sam James
2021-05-01 22:18 Louis Sautier
2021-05-01 22:18 Louis Sautier
2021-04-11 13:20 Louis Sautier
2021-04-11 13:20 Louis Sautier
2020-11-23 23:28 Louis Sautier
2020-11-23 23:28 Louis Sautier
2020-11-20  0:25 Louis Sautier
2020-11-20  0:25 Louis Sautier
2020-11-07 18:14 Louis Sautier
2020-09-21 17:48 Michał Górny
2020-09-12  1:42 Louis Sautier
2020-09-04 23:38 Louis Sautier
2020-04-29 22:35 Louis Sautier
2020-03-28 18:03 Michał Górny
2019-09-18 13:45 Louis Sautier
2019-09-18 13:45 Louis Sautier
2019-04-04 15:55 Louis Sautier
2019-04-04 15:55 Louis Sautier
2019-03-05 13:06 Louis Sautier
2018-11-08 11:05 Louis Sautier
2018-11-08 11:05 Louis Sautier
2018-07-17 19:21 Louis Sautier
2018-06-20 20:32 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-07  7:33 Michał Górny
2018-05-15 19:20 Michał Górny
2018-05-15 19:20 Michał Górny
2017-11-08 22:48 Patrice Clement
2017-11-08 22:48 Patrice Clement
2017-03-21 23:11 Patrice Clement
2017-03-21 23:11 Patrice Clement
2016-07-21 15:57 Patrice Clement
2016-05-05 22:08 Patrice Clement
2016-05-05 22:08 Patrice Clement
2016-05-05  8:06 Ian Delaney
2016-05-05  8:06 Ian Delaney
2016-05-01 13:02 Ian Delaney
2016-05-01 13:02 Ian Delaney
2016-04-17 11:10 Patrice Clement
2016-04-17 11:10 Patrice Clement
2016-02-06 12:38 Ian Delaney
2015-12-21 23:43 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1469116607.825cf073872972090e4d000c1dc72878d4c8b903.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox